Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class ScatterboxTableDragSourceListener

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject
          edu.stanford.smi.protegex.widget.scatterbox.ScatterboxTableDragSourceListener

All Implemented Interfaces:
  DragSourceListener, EventListener

    public class ScatterboxTableDragSourceListener

extends ScatterboxDNDObject
implements DragSourceListener

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject
`_entryCls, _flavor, _queryUtilsObject, _underlyingTable, _widget`

Constructor Summary
`ScatterboxTableDragSourceListener(ScatterboxWidget widget, ScatterboxTable underlyingTable, KBQueryUtils queryUtilsObject)`

Method Summary
`void` | `dragDropEnd(DragSourceDropEvent dragSourceDropEvent)`
`void` | `dragEnter(DragSourceDragEvent dragSourceDropEvent)`
`void` | `dragExit(DragSourceEvent dragSourceDropEvent)`
`void` | `dragOver(DragSourceDragEvent dragSourceDropEvent)`
`void` | `dropActionChanged(DragSourceDragEvent dragSourceDropEvent)`

Methods inherited from class edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject
`getTableLocationForEvent, putEntryAtPoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterboxTableDragSourceListener

    public ScatterboxTableDragSourceListener(ScatterboxWidget widget,
                                             ScatterboxTable underlyingTable,
                                             KBQueryUtils queryUtilsObject)

Method Detail

### dragDropEnd

    public void dragDropEnd(DragSourceDropEvent dragSourceDropEvent)

  Specified by:
    `dragDropEnd` in interface `DragSourceListener`

### dragEnter

    public void dragEnter(DragSourceDragEvent dragSourceDropEvent)

  Specified by:
    `dragEnter` in interface `DragSourceListener`

### dragExit

    public void dragExit(DragSourceEvent dragSourceDropEvent)

  Specified by:
    `dragExit` in interface `DragSourceListener`

### dragOver

    public void dragOver(DragSourceDragEvent dragSourceDropEvent)

  Specified by:
    `dragOver` in interface `DragSourceListener`

### dropActionChanged

    public void dropActionChanged(DragSourceDragEvent dragSourceDropEvent)

  Specified by:
    `dropActionChanged` in interface `DragSourceListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request